<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\KeepData;

class KeepDataController extends Controller {

    public function index(Request $request) {
        header('Content-Type: text/html;charset=utf-8');
        header('Access-Control-Allow-Origin:*'); // *代表允许任何网址请求
        header('Access-Control-Allow-Methods:POST,GET,OPTIONS,DELETE'); // 允许请求的类型
        header('Access-Control-Allow-Credentials: true'); // 设置是否允许发送 cookies
        header('Access-Control-Allow-Headers: Content-Type,Content-Length,Accept-Encoding,X-Requested-with, Origin'); // 设置允许自定义请求头的字段
        $data['name'] = $request->input('name', '');
        $data['sex'] = $request->input('sex', '');
        $data['city'] = $request->input('city', '');
        $data['phone'] = $request->input('phone', '');
        KeepData::insert($data);
        return self::returnValue('添加成功');
    }
    
    
    /**
     * 
     * @param \Illuminate\Http\Request $request
     * @return type
     */
    public function select(Request $request) {
        header('Content-Type: text/html;charset=utf-8');
        header('Access-Control-Allow-Origin:*'); // *代表允许任何网址请求
        header('Access-Control-Allow-Methods:POST,GET,OPTIONS,DELETE'); // 允许请求的类型
        header('Access-Control-Allow-Credentials: true'); // 设置是否允许发送 cookies
        header('Access-Control-Allow-Headers: Content-Type,Content-Length,Accept-Encoding,X-Requested-with, Origin'); // 设置允许自定义请求头的字段
        $page = (int)$request->input('page', 1);
        $pagesize = (int)$request->input('pagesize', 20);
        $res = KeepData::lists($page, $pagesize);
        return self::returnValue($res);
    }
}
